﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using SampleLOBApp.Model;
using System.ComponentModel;
using System.Collections.ObjectModel;
using System.Collections;
using System.Windows.Media;

namespace SampleLOBApp.ViewModel
{
    public class SampleViewModel : INotifyPropertyChanged
    {
        private TickerBuffer tickerBuffer = new TickerBuffer(100);

        public SampleViewModel()
        {

        }

        public IEnumerable HistoricalShareData
        {
            get
            {
                return new RealTimeDataStream();
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        public void RaisePropertyChanged(string name)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(name));
            }
        }
    }
}
